U:RDoc::Attr[
iI"
order:EFI"GetText::PO#order;FI"RW;F:publico:RDoc::Markup::Document:@parts[o:RDoc::Markup::Paragraph;	[I"@!attribute [rw] order;Fo:RDoc::Markup::Verbatim;	[I"CThe order is used to sort PO entries(objects of {POEntry}) in
;FI"{#to_s}.
;FI"B@param [:reference, :msgid] order (:reference) The sort key.
;FI"
;FI"H  Use `:reference` for sorting by location that message is placed.
;FI"
;FI"=  Use `:msgid` for sorting by msgid alphabetical order.
;FI"
;FI"C  `:references` is deprecated since 3.0.4. It will be removed
;FI"+  at 4.0.0. Use `:reference` instead.
;FI"
;FI"0@return [Symbol] the name as order by sort.;F:
@file0FI"lib/gettext/po.rb;F